Subject: Re: [RFC PATCH] kernel: add byteorder macros with alignment fixups

From: Harvey Harrison <[email-masked]>
Date: Thu, 20 Mar 2008 11:37:24 -0700

On Thu, 2008-03-20 at 18:29 +0000, Al Viro wrote:
> On Thu, Mar 20, 2008 at 10:34:14AM -0700, Harvey Harrison wrote:
> > A common pattern in the kernel (especially networking) is:
> > 
> > le32_to_cpu(get_unaligned((__le32 *)x));
> > 
> > Repeat for various combinations of le/be and 64/32/16 bit.  Add
> > a variant that operates on possibly unaligned pointers to
> > byteorder/generic.h
> 
> ... and asm/unaligned.h has just acquired fuckloads of places including
> it indirectly.  Not Nice(tm).

Time for linux/unaligned.h?

Do you think the helpers are worth it...wherever they end up?

Harvey